<!--- 
The contents of this file are subject to the Mozilla Public License Version 1.1
(the "License"); you may not use this file except in compliance with the
License. You may obtain a copy of the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
the specific language governing rights and limitations under the License.

The Original Code is comprised of the PT Blog directory

The Initial Developer of the Original Code is
PaperThin, Inc. Copyright(C) 2011-2018.
All Rights Reserved.

By downloading, modifying, distributing, using and/or accessing any files 
in this directory, you agree to the terms and conditions of the applicable 
end user license agreement.
--->

<!---
/* *************************************************************** */
Author: 	
	PaperThin, Inc.
	Ron West
Name:
	$main_blog_admin.cfm
Summary:	
	Render Handler used for the Blog element on the Blog Admin page
	This RH will produce the "edit" link for managing the settings of the blog
	and will render out standard information for the blog
ADF App:
	PT Blog
History:
	2009-05-28 - RLW - Created
	2016-02-23 - DRM - Resource detection exit
	2018-01-18 - GAC - Removed Thickbox
--->

<!--- if this module loads resources, do it here.. --->
<cfscript>
	application.ptBlog2.Scripts.loadjQuery();
	application.ptBlog2.Scripts.loadADFLightbox();
</cfscript>

<!--- ... then exit if all we're doing is detecting required resources --->
<cfif Request.RenderState.RenderMode EQ "getResources">
  <cfexit>
</cfif>


<cfscript>
	blogData = structNew();
	
	elementName = '';
	if ( StructKeyExists(attributes.elementInfo.ElementParams,"PROPERTIES") AND attributes.elementInfo.ElementParams.PROPERTIES.recordCount GT 0 AND StructKeyExists(attributes.elementInfo.ElementParams.PROPERTIES,"formname") )
		elementName = attributes.elementInfo.ElementParams.PROPERTIES.FORMNAME[1];
	
	blogDataArray = attributes.elementInfo.elementData.propertyValues;
	if( arrayLen(blogDataArray) )
	{
		blogData = blogDataArray[1].values;
		blogData.dataPageID = blogDataArray[1].pageID;
	}
</cfscript>

<!--- // Add the STYLE block as a CSS Header Resource --->
<cfsavecontent variable="blogMgmtHeaderCSS">
<cfoutput>
   <style>
   	.blogManagementWrapper {
   		margin: 10px 0;
   	}
   	.blogManagementWrapper .blogManagementAddBtn {
   		padding: 10px;
   	}
		 a.ui-button:hover {
			  cursor:pointer;
		 }
		 a.ui-button {
			  padding: 10px;
		 }
   </style>
</cfoutput>
</cfsavecontent>

<cfscript>
   // Load the inline CSS as a CSS Resource
   application.ptBlog2.scripts.addHeaderCSS(blogMgmtHeaderCSS, "SECONDARY"); //  PRIMARY, SECONDARY, TERTIARY
</cfscript>

<cfoutput>
<div class="blogManagementWrapper">
</cfoutput>
<cfif LEN(TRIM(elementName))>
<cfif structKeyExists(blogData, "dataPageID") and blogData.dataPageID gt 0>
	<cfoutput>
		#application.ptBlog2.ui.buildAddEditLink(
					linkTitle="Edit Blog Configuration"
					,formName=elementName
					,dataPageID=blogData.dataPageID
					,refreshparent="true"
					,urlParams=""
					,linkClass="blogManagementAddBtn ui_button ui-state-default ui-corner-all"
				)#
	</cfoutput>
</cfif>
</cfif>
<cfoutput>
</div>
</cfoutput>